How to use the @jscad/modeling.union function in @jscad/modeling

To help you get started, we’ve selected a few @jscad/modeling examples, based on popular ways it is used in public projects.

Secure your code as it's written. Use Snyk Code to scan source code in minutes - no build needed - and fix issues immediately.

github jscad / OpenJSCAD.org / packages / examples / core / hulls / hullChain.js View on Github external
const n = 6
  for (let i = 0; i < n; i++) { // -- hexagon chain hulled
    const x = sin(i / n * 360) * 10
    const y = cos(i / n * 360) * 10
    hexagon.push(
      translate([x, y, 0], circle())// { center: true }
    )
  }

  return [
    translate([-20, 0, 0],
      extrudeLinear({ height: 5 }, hullChain(shell))
    ),
    hullChain(shell),
    translate([20, 0, 0],
      union(shell)
    ),

    translate([-25, 40, 0],
      extrudeLinear({ height: 5 }, hullChain({ closed: true }, hexagon))
    ),
    translate([0, 40, 0],
      hullChain({ closed: true }, hexagon)
    ),
    translate([25, 40, 0],
      union(hexagon)
    )
  ]
}
github jscad / OpenJSCAD.org / packages / examples / core / hulls / hullChain.js View on Github external
translate([-20, 0, 0],
      extrudeLinear({ height: 5 }, hullChain(shell))
    ),
    hullChain(shell),
    translate([20, 0, 0],
      union(shell)
    ),

    translate([-25, 40, 0],
      extrudeLinear({ height: 5 }, hullChain({ closed: true }, hexagon))
    ),
    translate([0, 40, 0],
      hullChain({ closed: true }, hexagon)
    ),
    translate([25, 40, 0],
      union(hexagon)
    )
  ]
}
github jscad / OpenJSCAD.org / packages / examples / parameters / stepper-motor.js View on Github external
end: [length + parameters.motorRing_height + parameters.shaft_len, 0, 0],
      radius: parameters.shaft_radius,
      resolution: 50
    })
  )

  const mountinghole = color([0.2, 0.2, 0.2],
    cylinder({
      start: [-depth, 0, 0],
      end: [0, 0, 0],
      radius: parameters.mountingholes_radius,
      resolution: 20
    })
  )

  let motor = union([cube, cube2, cube3, ring, shaft])
  motor = motor.subtract(
    translate([length, offset, offset], mountinghole),
    translate([length, offset, -offset], mountinghole),
    translate([length, -offset, offset], mountinghole),
    translate([length, -offset, -offset], mountinghole)
  )

  return translate([0, 0, width], motor)
}